Subject: Re: Don't use bms_membership in places where it's not needed

From: David Rowley <[email-masked]>
Date: Tue, 28 Nov 2023 12:16:21 +1300

On Tue, 28 Nov 2023 at 11:21, Andres Freund <[email-masked]> wrote:
> Hm, does this ever matter from a performance POV? The current code does look
> simpler to read to me. If the overhead is relevant, I'd instead just move the
> code into a static inline?

I didn't particularly find the code in examine_variable() easy to
read. I think what's there now is quite a bit better than what was
there.

bms_get_singleton_member() was added in d25367ec4 for this purpose, so
it seems kinda weird not to use it.

David